Skip to main content
GET
/
v1
/
incentives
/
earnings
Get Incentive Earnings
curl --request GET \
  --url https://api.polymarketexchange.com/v1/incentives/earnings
{
  "rewards": [
    {
      "reward": 123,
      "programType": "<string>",
      "marketSlug": "<string>",
      "date": "2023-12-25"
    }
  ]
}

Query Parameters

startDate
string<date>

Start date filter in YYYY-MM-DD format. Defaults to 2026-03-21 (earliest available data). Example: 2026-03-25

endDate
string<date>

End date filter in YYYY-MM-DD format. Omit to include all dates after startDate. Example: 2026-03-31

marketSlug
string

Filter earnings by a specific market. Example: aec-nba-bos-nyk-2026-04-01

programType
string

Filter earnings by program type. Example: liquidityProgram

Response

200 - application/json

User's incentive earnings

rewards
object[]

List of earned rewards